# -*- coding: utf-8 -*-
"""
/***************************************************************************
 CtrlCraft
                                 A QGIS plugin
 Areva - plugin for displaying 3D mines
                             -------------------
        begin                : 2017-09-12
        copyright            : (C) 2017 by Oslandia
        email                : sylvain.beorchia@oslandia.com
        git sha              : $Format:%H$
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""

from .logger import CtrlCraftLogger

# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load CtrlCraft class from file CtrlCraft.

    :param iface: A QGIS interface instance.
    :type iface: QgsInterface
    """
    #
    from .ctrlcraft import CtrlCraft
    return CtrlCraft(iface)
